#
# spec file for package python3-phue
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-phue
Version:        0.9
Release:        1.1
License:        MIT
Summary:        A Philips Hue Python library
Url:            https://github.com/studioimaginaire/phue
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/e6/b6/4392f863fcad4f3dbecec580ff8e7915b9a5cc28c1f7a51067e2cbdfa5f5/phue-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%description
A Python library to control the Philips Hue lighting system.
- Compliant with the Philips Hue API 1.0
- Support for lights, groups, schedules, scenes and sensors
- Compatible with Python 2.6.x and upwards
- Works in a procedural way or object oriented way

%prep
%setup -q -n phue-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Tue Feb 21 2017 jengelh@inai.de
- Trim description
* Wed Jan 18 2017 alarrosa@suse.com
- Initial release 0.9
